Ubuntu

realtek rtl8187 weak signal, occasional slow performance

Reported by ChrisLees on 2008-11-05
130
This bug affects 23 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Nominated for Dapper by khunter
Nominated for Hardy by khunter
Nominated for Intrepid by khunter
Nominated for Jaunty by titi4u
Nominated for Karmic by titi4u
Nominated for Lucid by 914ian914

Bug Description

I have a Realtek RTL8187 wireless chipset on my Asus P5K Premium motherboard. Under Gutsy and Hardy 32-bit this chip performed relatively fine (occasional dropouts that are a known bug). Signal strength was showing as between 60 and 70%.

I just did a clean install of Intrepid 64-bit, and the wireless is now showing just 14% strength in Network Manager. In addition, now when downloading larger files, it will be downloading at the full speed of my ADSL (51 kilobytes per second) and then just drop to 3-8 kilobytes per second for a while. This occurs with the shipping kernel as well as 2.6.27-7-generic that was an available upgrade.

Web pages can also be slow to load and sometimes just not load at all. Turning off IPv6 has helped, but they are still slow. The connection appears to be prone to dropping out and requiring Network Manager to reconnect.

On my only other wireless-enabled device, my Nintendo Wii, performance is exactly as I'd expect. The router is set to G-only, so I know the driver can't possibly be working on a or b wireless.

EDIT: Using WPA2

ChrisLees (christopher-lees) wrote :
ChrisLees (christopher-lees) wrote :
ChrisLees (christopher-lees) wrote :
ChrisLees (christopher-lees) wrote :
description: updated

I too have an RTL8187 chip on my Asus P5K Deluxe Motherboard. My signal strength is only 18% in Ubuntu 8.10(32 bit), where as in Vista(32 bit) on the same computer I get full signal strength. I have high speed cable and am using a D-Link DGL-4500 with WPA2 AES. Just as the original poster said, the performance is horrible. You never know whether a web page will load or not. If it does, you can literally watch the images load in. If I can recall correctly, I am using 2.6.27-10 or whatever is the latest intrepid-proposed for 12/01/2008.

Ondrej (ondrej-ivanic) wrote :
Download full text (5.9 KiB)

I have same problem after upgrading to Intrepid from Hardy. After a while (sometimes 5-10 minutes, sometimes more than a hour) connection stopped working (NetworkManager haven't recognized any problems, nothing in dmesg ). I have to unplug/plug usb wifi dongle to reconnect to AP.

[ 974.204072] usb 3-1: new full speed USB device using uhci_hcd and address 2
[ 974.413190] usb 3-1: configuration #1 chosen from 1 choice
[ 974.677934] Bluetooth: Generic Bluetooth USB driver ver 0.3
[ 974.679190] usbcore: registered new interface driver btusb
[ 1363.808046] usb 1-1: new high speed USB device using ehci_hcd and address 4
[ 1363.967556] usb 1-1: configuration #1 chosen from 1 choice
[ 1364.278367] rtl8187: 8187B chip detected. Support is EXPERIMENTAL, and could damage your
[ 1364.278372] hardware, use at your own risk
[ 1364.287294] phy1: hwaddr 08:10:74:35:bd:e1, RTL8187BvE V0 + rtl8225z2

Bus 001 Device 002: ID 0bda:8189 Realtek Semiconductor Corp. RTL8187B Wireless 802.11g 54Mbps Network Adapter
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 2.00
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 64
  idVendor 0x0bda Realtek Semiconductor Corp.
  idProduct 0x8189 RTL8187B Wireless 802.11g 54Mbps Network Adapter
  bcdDevice 2.00
  iManufacturer 1 Manufacturer_Realtek
  iProduct 2 RTL8187B_WLAN_Adapter
  iSerial 3 00e04c000001
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 81
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 4 Wireless Network Card
    bmAttributes 0x80
      (Bus Powered)
    MaxPower 500mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 9
      bInterfaceClass 255 Vendor Specific Class
      bInterfaceSubClass 255 Vendor Specific Subclass
      bInterfaceProtocol 255 Vendor Specific Protocol
      iInterface 2 RTL8187B_WLAN_Adapter
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x83 EP 3 IN
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0200 1x 512 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x04 EP 4 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0200 1x 512 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x05 EP 5 O...

Read more...

ChrisLees (christopher-lees) wrote :

Problem has not been fixed in Linux 2.6.27-11 from the Intrepid Proposed repository. Signal strength is still low and bad packet loss occurs from time to time causing web pages to not load, or to load with stoppages.

ChrisLees (christopher-lees) wrote :
Francis Liu (fishzle) wrote :

Me too. Same chip but on a Asus P5b Deluxe mobo.

In my search-for-an-answer I found all sorts of magic incantations:

http://ubuntuforums.org/showthread.php?t=571188
http://ubuntuforums.org/showthread.php?t=792092

Problem still present on Realtek RTL8187, running Intrepid, Kernel 2.6.27.9. Signal strength VERY low, whereas in XP all working fine (Obv a driver issue).In Hardy this problem was not present, although the signal would just "drop" in the middle of surfing.

Changed in linux:
status: New → Confirmed
brandonhon (brandonhon) wrote :

i have the same issue with the realtek rtl8187. i am running intrepid. signal strength is very low and somtimes drops. signal strength was better in hardy but connection would drop for no reason.

tymek666 (jakub-sawicki) wrote :

I've notice this problem with Intel wirless (ASmobile s96-jm laptop) buy only with 2.6.27-11 kernel. Older 2.6.27-9 works fine.

Dennis New (dennisn) wrote :

I just installed and updated Ubuntu, and I have this same problem. I'm using linux 2.6.27-9-generic :|. As the original poster mentioned, I'm also getting, odly enough, just 14% signal strength, which isn't enough for a stable connection. If I switch to ndiswrapper, I get the expected 50%.

The original poster, ChrisLees, said it worked under Gutsy?? I have a P4 1.6GHz 32-bit running Intrepid (8.10).

I hope this gets resolved soon. Maybe some changes need to be reverted?

chrisolof (chrisolof) wrote :

I'm also experiencing this issue with Ubuntu 8.10 64-bit and the rtl8187. I'm using an ASRock mobo that comes with a built-in WIFI chip. In XP it gets 100% signal strength, but when I boot into Ubuntu I'm stuck at 14% with a maximum of about 300KB/s throughput. After using the connection for more than a couple of hours it drops out completely and NetworkManager is unable to reconnect until I uncheck "Enable Networking" then recheck "Enable Networking." I've done extensive troubleshooting on an RTL8187L with absolutely no luck (http://ubuntuforums.org/showthread.php?t=911581). If I knew anything about writing drivers I'd be in there working on this RTL8187 and the RTL8187L but I'm not really sure where to start.

ChrisLees (christopher-lees) wrote :

@Dennis Nezic: It even worked under Hardy.

I just tried the current Kubuntu 9.04 live CD (64-bit); the signal strength problem is still there.

Villosoph (armin-villiger) wrote :

I had the same problem. Signal strength is now improved due to the installation of compat wireless drivers. http://wireless.kernel.org/en/users/Download

Bevor I couldn't even ping the default gateway. No it's possible to ping and the signal strength is a the same level as in windows. But still the connection is very slow and unreliable.

I have the same very weak signal isuue on my realtek 8187 too.
I am using ndiswrapper win 98 driver now and the wireless siganl will be broken if distance from the router to the notebook more than 3 metres, making the wlan completely useless.
The native driver came from Ubuntu 8.10 kernel 2.6.27-11 is even worst. Connection hangs/lose randomly and adding an extra letter as a suffix to ESSID doesn't work. Signal is as weak as using ndiswrapper win 98 driver.
But in Windows XP it just works great.
The wifi is driving me crazy. I seeked help from ubuntuforums, still cannot find a solution. Glad that I find out this bugpage. Wish that all buddies with realtek 8187 group together toshare experience and hope that finally can find a solution.

ChrisLees (christopher-lees) wrote :

It's been mentioned before on older bug reports regarding this wireless chipset, but I just realised that it hasn't been mentioned on this bug report.

You can get speed, range and reliability from your wireless card if you install the Aircrack driver. Details here:

http://zenzike.blogspot.com/2008/11/wireless-woes.html

The biggest drawback of the Aircrack driver is that it doesn't support WPA encryption, only WEP - so ironically it's vulnerable to people running the Aircrack program! Also, after some kernel updates you will need to recompile and reinstall the driver via "sudo make clean", "sudo make" and "sudo make install".

If you encounter difficulties installing the Aircrack driver, please don't clutter up this bug report with them. Contact me directly or leave a comment on the blog post.

I think I finally get the solution. The fixed rate work for me so far. I am quite sure my connection hangs because the driver (either the native or the ndiswrapper win 98 one) doesn't know how to do the auto-negotiation with the router. For example, in Windows XP the transfer rate would drop as the signal is decreasing accordingly. But in Ubuntu the transfer rate always stucks at 54mb/s even though the signal is decreasing.

According to the man page of iwconfig
[code]

rate/bit[rate]
    For cards supporting multiple bit rates, set the bit-rate in b/s. The bit-rate is the speed at which bits are transmitted over the medium, the user speed of the link is lower due to medium sharing and various overhead.
    You may append the suffix k, M or G to the value (decimal multiplier : 10^3, 10^6 and 10^9 b/s), or add enough '0'. Values below 1000 are card specific, usually an index in the bit-rate list. Use auto to select automatic bit-rate mode (fallback to lower rate on noisy channels), which is the default for most cards, and fixed to revert back to fixed setting. If you specify a bit-rate value and append auto, the driver will use all bit-rates lower and equal than this value.
    Examples :
    iwconfig eth0 rate 11M
    iwconfig eth0 rate auto
    iwconfig eth0 rate 5.5M auto

[/code]

I don't know what's the default setting of the rate parameter of Ubuntu native driver/ ndiswrapper. But even though I set it as "iwconfig wlan0 rate 5.5M auto" I notice that the transfer rate is always 54mb/s from the command "iwconfig" after the connection is established. And it will always stuck at 54mb/s, no matter the signal is greatly weaken as I walk away from the router. So I think the "auto" option cannot be used, probably it's a bug.

And once I fixed the rate (the lower the better, but you will be penalized by decreasing connection speed), everything becomes fine. The driver doesn't know how to auto-negotiate with the router so you must fixed the rate for it, or it will just hold at 54mb/s and doesn't let me be 3 metres away from it.

I set it as 12mb/s and now the notebook can access the internet in any place at home.

I find out another interesting bug. The "Link quality" and "Signal level" behave strangely. When the router is very near the notebook, the Link quality shows 90/100 but the Signal level shows 3/65. When the router is very far from the notebook, the Link quality shows 10/100 and Signal level shows 65/65! Maybe it's the cause of the failure of auto-negotiation?

I haven't done the stability test, but if this native driver doesn't work I can simply switch back to ndiswrapper. But ndiswrapper sometimes hangs my computer at bootup.

Hope that it can help any people who have a wireless lan card with Realtek 8187 chipset.

I am using Realtek 8187 ID 0bda:8187 (note 8197). Ubuntu 8.10 i686 2.6.27-11.

Here's my post in ubuntuforums
http://ubuntuforums.org/showthread.php?p=6878345#post6878345

Krylov Ilya (i-krylov) on 2009-03-15
Changed in linux:
assignee: nobody → i-krylov
assignee: i-krylov → nobody

The fix rate method on my previous post doesn't fix the problem. The connection loses every one to two hours instead of few minutes (still an improvement, err..)

These two messages appear at the same time as the connection loses.

dmesg:
wlan0: No ProbeResp from current AP 00:19:54:2f:93:da - assume out of range

at the same time the log of router said

log message from Router:
Sat Mar 14 02:08:34 2009 Disassociated: 00-22-46-7A-EB-05 because idle 300 seconds

I google around and knows this not the problem from realtek 8187b/l only, many people with other wireless chipsets also suffer from this problem. Would anyone please help me? I am really tired with the wireless problem in UBUNTU.
Thanks!

I am sorry that my previous post was wrong. I didn't install ndiswrapper correctly. Now I am using ndiswrapper with win 98 driver and the auto-negotiation works. So far doesn't have sudden disconnection problem.

But I think the native driver doesn't work. The rate wouldn't drop as the signal is weaken. And sometimes the connection hangs and cannot even ping the router.

Francis Liu (fishzle) wrote :
Download full text (3.2 KiB)

I've upgraded to Jaunty since writing the comment above https://bugs.launchpad.net/ubuntu/+source/linux/+bug/293946/comments/9.

Problem still exists. It still looks and behaves the same. Signal strength is 15% and throughput is about 5.something Mbps. Instead of 54Mbps.

The chipset is now described as
[ 13.621424] usbcore: registered new interface driver rtl8187
[ 13.862659] phy0: hwaddr 00:15:af:07:e4:80, RTL8187vB (default) V1 + rtl8225z2

If it helps, "lsusb -vd 0bda:8187" reports it as:

Bus 001 Device 002: ID 0bda:8187 Realtek Semiconductor Corp. RTL8187 Wireless Adapter
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 2.00
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 64
  idVendor 0x0bda Realtek Semiconductor Corp.
  idProduct 0x8187 RTL8187 Wireless Adapter
  bcdDevice 1.00
  iManufacturer 1 Manufacturer_Realtek_RTL8187_
  iProduct 2 RTL8187_Wireless
  iSerial 3 0015AF07E480
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 39
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 4 Wireless Network Card
    bmAttributes 0x80
      (Bus Powered)
    MaxPower 500mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 3
      bInterfaceClass 0 (Defined at Interface level)
      bInterfaceSubClass 0
      bInterfaceProtocol 0
      iInterface 5 Bulk-IN,Bulk-OUT,Bulk-OUT
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0200 1x 512 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x02 EP 2 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0200 1x 512 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x03 EP 3 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0200 1x 512 bytes
        bInterval 0
Device Qualifier (for other device speed):
  bLength 10
  bDescriptorType 6
  bcdUSB 2.00
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMax...

Read more...

Jan Dageförde (de-diamonds) wrote :

In Jaunty there is a driver which shows full (i.e. normal) signal. However it can only be used by activating linux-backports-modules-jaunty-generic in your package manager - I don't know whether this raises other issues in terms of stability.

ahenric (ahenric) wrote :

I also had these problems with weak signal and bad performance with my RTL8187 usb stick under Jaunty.

iwconfig also only showed 1Mb/s, even when I manually changed it to something else.

On my DSL router I had WPA2 enabled (not both WPA & WPA2). But Wicd could only do this combo (not sure at the moment about network manager, but with network manager I had the same problem). So I installed this addon from the site www.elektronenblitz63.de (its German only unfortunately) which adds the options for just WPA or just WPA2 under Wicd. Using that, all of a sudden my link speed is up at 54Mb/s and signal quality is up as well.

Hopefully this info is usefull.

Alexandros (alexandros-t) wrote :

In my case I use a Belkin F5D7050 v5000 USB stick. Both in Intrepid and in Jaunty I can connect to only the closest wireless network and when I connect, there is absolutely no data transmission (I can't perform updates, firefox cannot connect to any server and under ping, I see no sending of data from router)

I've now upgraded to 9.04 32bit. This problem still exists. However lowering the bit rate manually as the laptop being moved away from the router can definitely solve the problem.

So I added the following aliases to my .bashrc

alias fix11='sudo iwconfig wlan0 rate 11M fixed'
alias fix1='sudo iwconfig wlan0 rate 1M fixed'
alias fix2='sudo iwconfig wlan0 rate 2M fixed'
alias fix5='sudo iwconfig wlan0 rate 5.5M fixed'
alias fix11='sudo iwconfig wlan0 rate 11M fixed'
alias fix12='sudo iwconfig wlan0 rate 12M fixed'
alias fix6='sudo iwconfig wlan0 rate 6M fixed'
alias fix9='sudo iwconfig wlan0 rate 9M fixed'
alias fix18='sudo iwconfig wlan0 rate 18M fixed'
alias fix24='sudo iwconfig wlan0 rate 24M fixed'
alias fix36='sudo iwconfig wlan0 rate 36M fixed'
alias fix48='sudo iwconfig wlan0 rate 48M fixed'
alias fix54='sudo iwconfig wlan0 rate 54M auto'

Whenever the connection seems not stable, I start lowering the bit rate by fix48, fix38, fix24..etc

P.S. I am using the default driver from Ubuntu 9.04 32-bit

TJR (tjr.li) wrote :

I have the same problem - very weak signal, sometimes breaks of connection. I am using Ubuntu 9.04 64 bit and I have also tested:

Ubuntu 9.04 64 bit:
- kernel 2.6.30.1
- self-compiled kernel 2.6.30.1
- kernel 2.6.31 rc2 (I can't connect)
Ubuntu 9.04 32 bit
Ubuntu 9.10 64 bit (I can't connect)
Mint 7

I also tested openSUSE 11.1 (32 and 64 bit) and Fedora 11 (64 bit), everything is working there great!

PhilPuryear (philippuryear) wrote :

FWIW, I think this is fixed in newer kernels. On Jaunty 64-bit with the vanilla 2.6.28-13 kernel, I consistently had a weak signal/poor performance/etc., but using the latest upstream kernel (2.6.31-rc3), the problem has disappeared.

pixpihc (chiptrauma) wrote :

Hi everybody

also have the, RTL8187 wireless chipset on my Asus PW DH Dlx
with ubuntu Jaunty 4.02 64bit installed.

and also experience the same problems; connection loss (specially when using bittorrent),
connection signal is also abnormal low 15% instead of 90%

has anybody a decent well documented solution for this problem?

have tried solution with installing aircrack drivers, but i get errors
have also found solution with ndiswrapper, which is just totally out of my league

am a total noob, any help would be immensely appreciated

cheers

TJR (tjr.li) wrote :

From my experience it's working best with kernel 2.6.30.1, there are still same problems but not such big as with earlier or default kernel. I compiled it by myself but as far as I know, there is some repository with deb packages of kernel's different versions. And as I wrote before, I can't even connect to any wifi network with kernel 2.6.31.

Dennis New (dennisn) wrote :

It works for me with kernel 2.6.30.2, after manually installing the kernel from the aforementioned "deb packages" floating around. Hopefully it'll be in Ubuntu's official repos soon!

Thomas Aaron (tom-system76) wrote :

We (http:system76.com) have fixed this problem on our Starling Netbook that has an RTL8187B adapter. We downloaded and manually compiled the latest driver from Realtek. It has to be requested via email at this point.

Once you have the driver (which I've attached below for your convenience) you have to unzip it, cd into the directory and run...

make
sudo make install

We also had to blacklist the rtl8187 module. The new module is called r8187 (i.e. not rtl). If we didn't blacklist the rtl module, it was loaded by default.

This increased our max range from about 40 feet to 120+ feet, and the connection seems rock solid.
Hopefully the fix will make it into Ubuntu.

ChrisLees (christopher-lees) wrote :

Thomas, that driver not only doesn't work on my ordinary RTL8187, but it has prevented the original kernel driver from working too. It will happily attach to the RTL8187 and find networks, but keeps giving this error repeatedly when trying to connect:

[ 534.720351] rtl8187: ISLeave(): Turn on RF.
[ 534.720354] SetRFPowerState8185(): unknown RFChipID: 0x5!!!
[ 536.060507] DoRxHighPower(): RF_ZEBRA, Upper Threshold: 99 LOWER Threshold: 70
[ 538.060012] DoRxHighPower(): RF_ZEBRA, Upper Threshold: 99 LOWER Threshold: 70
[ 540.060009] DoRxHighPower(): RF_ZEBRA, Upper Threshold: 99 LOWER Threshold: 70
[ 542.060011] DoRxHighPower(): RF_ZEBRA, Upper Threshold: 99 LOWER Threshold: 70
[ 544.060014] DoRxHighPower(): RF_ZEBRA, Upper Threshold: 99 LOWER Threshold: 70
[ 546.060010] DoRxHighPower(): RF_ZEBRA, Upper Threshold: 99 LOWER Threshold: 70
[ 548.060012] DoRxHighPower(): RF_ZEBRA, Upper Threshold: 99 LOWER Threshold: 70
[ 550.060011] DoRxHighPower(): RF_ZEBRA, Upper Threshold: 99 LOWER Threshold: 70
[ 552.060009] DoRxHighPower(): RF_ZEBRA, Upper Threshold: 99 LOWER Threshold: 70

Now the original rtl8187 kernel driver will not work - Modprobe says "Module not found", even when rtl8187 is not in the blacklist.

It disturbs me that you're installing this driver on any systems that are going to your customers; look at the readme file:

-------
Copyright(c) Andrea Merello - 2004,2005

It's in early development stage so don't expect too much from it
(also use it at your own risk!)
This should be considered just a fragment of code.. using it on your(any)
system is at your own risk! Please note that I never supported the idea to
use it in any way, so i cannot be considered responsible in any way for
anything deriving by it usage.
-------

Dennis New (dennisn) wrote :

Just a couple notes: the "unknown RFChipID: 0x5!!!" seems to suggest your chip might not be the same as the one the driver supports. Perhaps you can list the exact version you have (via lspci or lsusb).

I haven't tried it yet, but when you compile the new driver, perhaps it doesn't allow you to have both. Do they both exist in the appropriate /lib/modules subdirectories? (try "find /lib/modules | grep 8187" ... if they're both there and you still can't load the old one, then maybe try blacklisting the new one.)

Lastly, linux is all about experimental and use-at-your-own-risk and this-might-blow-up type stuff. Not only does this increase fun, but it also encourages more users to delve into the code -- to really get to know their machines. It just wouldn't feel right if everything was polished and Guaranteed(TM) to work without any need to tinker, IMHO :).

chrisolof (chrisolof) wrote :

Last I checked Andrea Merello hadn't been contributing to his sourceforge project for some time. Here's the link to it:
http://sourceforge.net/projects/rtl8180-sa2400/

But Rosewill - the manufacturer of my rtl8187l usb stick - was still including his work on their driver CD and the same story goes for the Realtek driver download website. I was unable to get his driver to compile when I tried back in Sept. 08.

Here's my experience and final solution to the RTL8187L troubles I was experiencing:
http://ubuntuforums.org/showthread.php?t=911581

It may not work for your variant of the RTL8187, but it does work for the L (assuming you're running Jaunty):
sudo apt-get install linux-backports-modules-jaunty

Note: Throughput was not so great - read the thread referenced above for details.

Finally, thank you Thomas and the System76 team for the awesome and free "powered by ubuntu linux" sticker that has replaced the Windows Vista nonsense on my laptop! Glad to hear you've found a solution to your rtl8187B chipset issues.

ChrisLees (christopher-lees) wrote :

Dennis: That was my thought as well, that the error message is saying "I don't handle this chip". I did try blacklisting the r8187 driver, but that accomplishes nothing as it appears that the rtl8187 driver has been wiped. Personally, I'd be having more fun if I could get reliable multi-gigabyte file transfers - even my Homeplug networking flakes out.

Chrisolof: Heh, looks like I replied to your old thread last year with the Aircrack suggestion. I'm downloading the Jaunty backports package right now and we'll see if that reactivates my poor old card.

Dennis New (dennisn) wrote :

When you say it "wiped" out the older rtl8187 driver, that means the find+grep command I mentioned above only shows one .ko file? (namely r8187.ko or something like that?) Perhaps re-installing your linux kernel package should bring it back -- assuming that's how it was originally installed. (Or maybe there is a separate rtl8187 ubuntu package?)

Also, like I and others have said here earlier, it does seem to work with the 2.6.30 linux kernels. Find out how you can manually upgrade to these newer kernels, which don't yet appear in Ubuntu's official repos?! (There are helpful websites out there already with the newer packages ready to download/install.)

ChrisLees (christopher-lees) wrote :

I just installed a kernel in Update Manager, and the backports modules, and now things are working well. Thanks Chris! Fix released, I guess.

RTL8187 USB wifi adaptor
I found the following to work wonderfully after trying a horde of unsuccessful things:

# sudo apt-get install linux-backports-modules-jaunty

Note: This also fixed an issue with my Atheros ar9285 internal wifi card.

I hope this helps someone.

ChrisLees (christopher-lees) wrote :

The backported driver is pretty good, but it still has a tendency to disconnect when under load. When it disconnects, it will not reconnect, and plugging in my other wireless device and attempting to connect with that will often cause a kernel panic straight away. In the best case scenario, I'll get lots of Oops reports, programs will freeze up and eventually the kernel will go down anyway.

BuM (bumaw) wrote :
Download full text (6.1 KiB)

Helo,

I have a problem with the compilation rtl8187L drivers from the kernel 2.6.31 + there is such an error

root @ bum-laptop: / # make clean home/bum/sterowniki/rtl8187L_linux_26.1038.0626.2009.release
make [1]: Leaving directory `/ home/bum/sterowniki/rtl8187L_linux_26.1038.0626.2009.release/rtl8187 '
rm-fr *. mod.c *. mod *. o .*. cmd *. ko * ~
rm-fr. tmp_versions
rm-fr Module.symvers
rm-fr modules.order
rm-fr Module.markers
"rm-rf tags
make [1]: Leaving directory `/ home/bum/sterowniki/rtl8187L_linux_26.1038.0626.2009.release/rtl8187 '
make [1]: Leaving directory `/ home/bum/sterowniki/rtl8187L_linux_26.1038.0626.2009.release/ieee80211 '
rm-f *. mod.c *. mod *. o .*. cmd *. ko * ~
rm-rf / home/bum/sterowniki/rtl8187L_linux_26.1038.0626.2009.release/ieee80211/tmp
rm-fr Module.symvers
rm-fr modules.order
rm-fr Module.markers
make [1]: Leaving directory `/ home/bum/sterowniki/rtl8187L_linux_26.1038.0626.2009.release/ieee80211 '
root @ bum-laptop: / # home/bum/sterowniki/rtl8187L_linux_26.1038.0626.2009.release
root @ bum-laptop: / # make home/bum/sterowniki/rtl8187L_linux_26.1038.0626.2009.release
make [1]: Leaving directory `/ usr/src/linux-headers-2.6.31-9-generic '
   CC [M] / home/bum/sterowniki/rtl8187L_linux_26.1038.0626.2009.release/ieee80211/ieee80211_softmac.o
/ home/bum/sterowniki/rtl8187L_linux_26.1038.0626.2009.release/ieee80211/ieee80211_softmac.c: In function 'ieee80211_send_beacon':
/ home/bum/sterowniki/rtl8187L_linux_26.1038.0626.2009.release/ieee80211/ieee80211_softmac.c: 278: warning: unused variable 'flags'
   CC [M] / home/bum/sterowniki/rtl8187L_linux_26.1038.0626.2009.release/ieee80211/ieee80211_rx.o
   CC [M] / home/bum/sterowniki/rtl8187L_linux_26.1038.0626.2009.release/ieee80211/ieee80211_tx.o
   CC [M] / home/bum/sterowniki/rtl8187L_linux_26.1038.0626.2009.release/ieee80211/ieee80211_wx.o
   CC [M] / home/bum/sterowniki/rtl8187L_linux_26.1038.0626.2009.release/ieee80211/ieee80211_module.o
/ home/bum/sterowniki/rtl8187L_linux_26.1038.0626.2009.release/ieee80211/ieee80211_module.c: In function 'alloc_ieee80211_rtl':
/ home/bum/sterowniki/rtl8187L_linux_26.1038.0626.2009.release/ieee80211/ieee80211_module.c: 123: error: 'struct net_device' has no member named 'hard_start_xmit'
make [2]: *** [/ home/bum/sterowniki/rtl8187L_linux_26.1038.0626.2009.release/ieee80211/ieee80211_module.o] Error 1
make [1]: *** [_module_/home/bum/sterowniki/rtl8187L_linux_26.1038.0626.2009.release/ieee80211] Error 2
make [1]: Leaving directory `/ usr/src/linux-headers-2.6.31-9-generic '
make: *** [all] Error 2
root @ bum-laptop: / # cd .. home/bum/sterowniki/rtl8187L_linux_26.1038.0626.2009.release
root @ bum-laptop: / home / bang / driver # cd rtl8187L_linux_26.1037.1217.2008_release /
root @ bum-laptop: / home/bum/sterowniki/rtl8187L_linux_26.1037.1217.2008_release #. / makedrv
rm-f *. mod.c *. mod *. o .*. cmd *. ko * ~
rm-rf / home/bum/sterowniki/rtl8187L_linux_26.1037.1217.2008_release/ieee80211/tmp
make-C / M = lib/modules/2.6.31-9-generic/build / home/bum/sterowniki/rtl8187L_linux_26.1037.1217.2008_release/ieee80211 CC = gcc modules
make [1]: Leaving directory `/ usr/src/linux-headers-2.6.31-9-generic '
   CC [M] / home/bum/sterown...

Read more...

khunter (obsolete-fax) wrote :

I have ALFA AWUS036H: 802.11b/g 500mW USB Adapter.

It has Realtek RTL8187 chip. I have the same problem.

This Wifi card can pick up more signals than your ordinary Wireless Card (tested on Win XP SP3).

On Ubuntu 9.04 Desktop, by default it uses a WRONG driver.

There has to be a way to uninstall this Wrong driver?

masfworld (masfworld) wrote :

i also have ALFA AWUS036H 500mW USB Adapter. Network Manager in Ubuntu 9.10 64 bits detected it but it isn't correctly, loss signal and working incorrectly.

ChrisLees (christopher-lees) wrote :

This bug is well and truly fixed in Karmic. I get faster speeds than I ever had before, with good range and VERY good reliability (I can upload 30 gigs to my server successfully; that's something I can't even do with my Homeplug at this range).

khuner: Enable the Jaunty Backports repository and install the backported kernel modules package (it's called something like "linux-generic-modules-jaunty-backports") and this enables a better driver.

masfworld: Does your adapter use the RTL8187 chip? The "lsusb" command will tell you.

Hello

I confirm that this bug is fixed in Karmic 2.6.31-15-generic2.6.31-15-generic 64-bit , realtek rtl8187 is performing up to expectations and the external smc adapter I had been using as a circumvent is now not working at all ;-) So for a correction there is a new bug (#479283).

Cheers

Antonio

Hollohead (nrh1) wrote :

Can confirm the problem in 2.6.31-15-generic Karmic on Tosh sateillite l350-262. I've bought a new laptop due to motherboard failure but reception was much better on old laptop with different card in same places in house. Speed is also erratic.

I have Karmic, fully up to date, and it works perfect, just as good as in Windows. I think we need to try and see what could be the problem for people still affected.

2.6.31.15 Kernel.
Karmic
Intel chipset and motherboard.

Nick Howden (24doeway) wrote :

Also running freshly installed, updated Karmic on Ei-System 1211 Laptop and have same problems with RTL8187B wifi card.

Have updated bug 215802 with apport details from affected laptop

Nick Howden (24doeway) wrote :

... within 6 feet of the router connection appears to be fine (but can still only manage 11Mbs rather than 54)

iwconfig gives ...

wlan0 IEEE 802.11bg ESSID:"HOWDEN-1969"
          Mode:Managed Frequency:2.462 GHz Access Point: 00:90:96:C7:95:61
          Bit Rate=11 Mb/s Tx-Power=20 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:off
          Link Quality=70/70 Signal level=-35 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

but as I move further away - say around 20 feet - as soon as link quality drops below 60 the connection starts to become intermittent.

Running Windows on the same laptop gives a stable connection multiple walls and greater distances away.

I don't know if this is relevant, but as told before my adapter runs ok. However I am using it on 64-bit karmic with wep 128-bit hex and fixed ip. Hope it helps.

promicin (altamash3000) wrote :

here is a new driver for rtl8187L that compiles without errors in ubuntu 9.10, but it doesnt seem to be fully operational so maybe a patch could fix this.

http://www.4shared.com/file/188631523/a725eefa/rtl8187L_linux_26103901042010r.html

the problem not solved

Also having this problem, with a Alfa 54G USB stick on Ubuntu 10.04 (Karmic)
Bus 001 Device 005: ID 0bda:8187 Realtek Semiconductor Corp. RTL8187 Wireless Adapter

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers